<?php
/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */

// @codingStandardsIgnoreFile

?>
<style type="text/css">

</style>
<?php
$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
$objDate = $objectManager->create('Magento\Framework\Stdlib\DateTime\TimezoneInterface');
?>
<?php $_orders = $block->getOrders(); ?>
<?php echo $block->getChildHtml('info');?>
<?php if ($_orders && count($_orders)): ?>
    <div class="history-lists">
      <h2 class="account-title">My Orders</h2>
      <div class="table-wrapper orders-history">
          <table class="data table table-responsive table-order-items history" id="my-orders-table">
              <thead>
                  <tr>
                      <th scope="col" class="col id">Order Number</th>
                      <th scope="col" class="col date"><?php /* @escapeNotVerified */ echo __('Order Date') ?></th>
                      <th scope="col" class="col status"><?php /* @escapeNotVerified */ echo __('Status') ?></th>

                      <th scope="col" class="col total"><?php /* @escapeNotVerified */ echo __('ORDER PRICE') ?></th>

                      <th scope="col" class="col actions">LINK TO ORDER DETAILS</th>
                  </tr>
              </thead>
              <tbody>
                  <?php foreach ($_orders as $_order): ?>
                      <tr>
                          <td data-th="<?php echo $block->escapeHtml(__('Order Number')) ?>" class="col id"><a href="<?php /* @escapeNotVerified */ echo $block->getViewUrl($_order) ?>"><?php /* @escapeNotVerified */ echo $_order->getRealOrderId() ?></a></td>
                          <td data-th="<?php echo $block->escapeHtml(__('Order Date')) ?>" class="col date"><?php /* @escapeNotVerified */ echo $objDate->date($_order->getCreatedAt())->format('m/d/Y') ?></td>
                          <td data-th="<?php echo $block->escapeHtml(__('Status')) ?>" class="col status"><?php /* @escapeNotVerified */ echo $_order->getStatusLabel() ?></td>

                          <td data-th="<?php echo $block->escapeHtml(__('ORDER PRICE')) ?>" class="col total"><?php /* @escapeNotVerified */ echo $_order->formatPrice($_order->getGrandTotal()) ?></td>

                          <td data-th="<?php echo $block->escapeHtml(__('Actions')) ?>" class="col actions">
                              <a href="<?php /* @escapeNotVerified */ echo $block->getViewUrl($_order) ?>" class="action view">
                                  <span><?php /* @escapeNotVerified */ echo __('View Details') ?></span>
                              </a>
                              <?php if ($this->helper('Magento\Sales\Helper\Reorder')->canReorder($_order->getEntityId())) : ?>
                                  <a href="<?php /* @escapeNotVerified */ echo $block->getReorderUrl($_order) ?>" class="action order">
                                      <span><?php /* @escapeNotVerified */ echo __('Reorder') ?></span>
                                  </a>
                              <?php endif ?>
                          </td>
                      </tr>
                  <?php endforeach; ?>
              </tbody>
          </table>
      </div>
      <?php if ($block->getPagerHtml()): ?>
          <div class="order-products-toolbar toolbar bottom"><?php echo $block->getPagerHtml(); ?></div>
      <?php endif ?>
  <?php else: ?>
      <div class="message info empty"><span><?php /* @escapeNotVerified */ echo __('You have placed no orders.'); ?></span></div>
  <?php endif ?>
  </div>
